package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("menu_material_category")
public class MenuMaterialCategory extends Model<MenuMaterialCategory> {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别编码")
   private String categoryNum;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("父类id")
   private Long parentId;
   @ApiModelProperty("类型(1原料2商品)")
   private Integer categoryType;
   @ApiModelProperty("删除标识(1-删除,2-正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("等级(0,1,2,3)")
   private Integer level;
   @ApiModelProperty("大类id")
   private Long bigCategoryId;

   public Long getId() {
      return this.id;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryNum() {
      return this.categoryNum;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Integer getLevel() {
      return this.level;
   }

   public Long getBigCategoryId() {
      return this.bigCategoryId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryNum(final String categoryNum) {
      this.categoryNum = categoryNum;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setLevel(final Integer level) {
      this.level = level;
   }

   public void setBigCategoryId(final Long bigCategoryId) {
      this.bigCategoryId = bigCategoryId;
   }
}
